summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-12-28 15:25:43 +0100
committerDavid Seifert <soap@gentoo.org>2017-12-28 16:07:04 +0100
commit588a2e2ba157bd3a41c5855a2de4a463bc623a51 (patch)
treede8510a38124f2f940afa9d1269a06b038cf75e9 /app-backup
parentapp-backup/mylvmbackup: Port to EAPI 6 (diff)
downloadgentoo-588a2e2ba157bd3a41c5855a2de4a463bc623a51.tar.gz
gentoo-588a2e2ba157bd3a41c5855a2de4a463bc623a51.tar.bz2
gentoo-588a2e2ba157bd3a41c5855a2de4a463bc623a51.zip
app-backup/cpdup: Port to EAPI 6
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/cpdup/cpdup-1.18.ebuild34
-rw-r--r--app-backup/cpdup/files/cpdup-1.11-unused.patch4
2 files changed, 20 insertions, 18 deletions
diff --git a/app-backup/cpdup/cpdup-1.18.ebuild b/app-backup/cpdup/cpdup-1.18.ebuild
index b3cd0a45df5..cf88a6bfd53 100644
--- a/app-backup/cpdup/cpdup-1.18.ebuild
+++ b/app-backup/cpdup/cpdup-1.18.ebuild
@@ -1,7 +1,9 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-inherit eutils toolchain-funcs
+EAPI=6
+
+inherit toolchain-funcs
DESCRIPTION="A comprehensive filesystem mirroring program"
HOMEPAGE="http://apollo.backplane.com/FreeSrc/"
@@ -16,30 +18,30 @@ DEPEND=""
RDEPEND=""
S="${WORKDIR}/${PN}"
+PATCHES=( "${FILESDIR}"/${PN}-1.11-unused.patch )
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- epatch "${FILESDIR}"/${PN}-1.11-unused.patch
+src_prepare() {
+ default
if use userland_GNU; then
- cp "${FILESDIR}"/Makefile.linux Makefile
+ cp "${FILESDIR}"/Makefile.linux Makefile || die
# bits/stat.h has __unused too
- sed -i 's/__unused/__cpdup_unused/' *.c
- echo "#define strlcpy(a,b,c) strncpy(a,b,c)" >> cpdup.h
+ sed -i 's/__unused/__cpdup_unused/' *.c || die
+ echo "#define strlcpy(a,b,c) strncpy(a,b,c)" >> cpdup.h || die
fi
}
-src_compile() {
+src_configure() {
tc-export CC
- use threads || MAKEOPTS="$MAKEOPTS NOPTHREADS=1"
- MAKE=make emake || die "emake failed"
+ use threads || EXTRA_MAKE_OPTS="NOPTHREADS=1"
+}
+
+src_compile() {
+ MAKE=make emake ${EXTRA_MAKE_OPTS}
}
src_install() {
- dobin cpdup || die "cannot install cpdup"
+ dobin cpdup
doman cpdup.1
- docinto scripts
- dodoc scripts/*
+ dodoc -r scripts
}
diff --git a/app-backup/cpdup/files/cpdup-1.11-unused.patch b/app-backup/cpdup/files/cpdup-1.11-unused.patch
index 1757cb441ad..5544afbeddf 100644
--- a/app-backup/cpdup/files/cpdup-1.11-unused.patch
+++ b/app-backup/cpdup/files/cpdup-1.11-unused.patch
@@ -1,5 +1,5 @@
---- cpdup.c.orig 2009-02-05 12:22:10.000000000 +0100
-+++ cpdup.c 2009-02-05 12:23:23.000000000 +0100
+--- a/cpdup.c
++++ b/cpdup.c
@@ -1543,7 +1543,11 @@
*/